Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class AppClientModule

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.J2EEDeployedObject
                      org.jboss.management.j2ee.J2EEModule
                          org.jboss.management.j2ee.AppClientModule

All Implemented Interfaces:
  AppClientModuleMBean, J2EEDeployedObjectMBean, J2EEManagedObjectMBean, J2EEModuleMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class AppClientModule
extends J2EEModule
implements AppClientModuleMBean

Root class of the JBoss JSR-77 implementation of `AppClientModule`.

Version:
  $Revision: 1.8 $

  Revisions:

  20020307 Andreas Schaefer:

  - Creation
Author:
  Andreas Schaefer., thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.J2EEDeployedObject
`APPLICATION, CMP, EJB, JAWS, JBOSS, JBOSS_WEB, RAR, SAR, WEB`

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AppClientModule(String pName, javax.management.ObjectName pApplication, String[] pJVMs, String pDeploymentDescriptor)` Constructor taking the Name of this Object

Method Summary
`protected Hashtable` | `getParentKeys(javax.management.ObjectName pParent)` This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents.
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.J2EEModule
`getjavaVM, getjavaVMs`

Methods inherited from class org.jboss.management.j2ee.J2EEDeployedObject
`getdeploymentDescriptor, getDeploymentDescriptor, getserver`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`addChild, getobjectName, getObjectName, getObjectName, getparent, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postCreation, postRegister, preDeregister, preDestruction, removeChild, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEModuleMBean
`getjavaVM, getjavaVMs`

Methods inherited from interface org.jboss.management.j2ee.J2EEDeployedObjectMBean
`getdeploymentDescriptor, getserver`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### AppClientModule

    public AppClientModule(String pName,
                           javax.management.ObjectName pApplication,
                           String[] pJVMs,
                           String pDeploymentDescriptor)
                    throws javax.management.MalformedObjectNameException,
                           InvalidParentException

  Constructor taking the Name of this Object

Parameters:
  `pName` - Name to be set which must not be null
  `pDeploymentDescriptor` -
Throws:
  `InvalidParameterException` - If the given Name is null
  `javax.management.MalformedObjectNameException`
  `InvalidParentException`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEDeployedObject`

### getParentKeys

    protected Hashtable getParentKeys(javax.management.ObjectName pParent)

  Description copied from class: `J2EEManagedObject`
  This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents. By default it returns an empty hashtable instance.

  Overrides:
    `getParentKeys` in class `J2EEManagedObject`
  Parameters:
    `pParent` - The direct parent of this class
  Returns:
    A hashtable with the J2EE-Application and J2EE-Server as parent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.